package POM_Structure_code.TestClasses;
import POM_Structure_code.PageObjectClasses.HomePage;
import POM_Structure_code.PageObjectClasses.LoginPage;
import org.testng.Assert;
import org.testng.annotations.BeforeMethod;
import org.testng.annotations.AfterMethod;
import org.testng.annotations.DataProvider;
import org.testng.annotations.Test;
import POM_Structure_code.Utils.BaseTest;

public class LoginTest extends BaseTest {

    @BeforeMethod
    public void setUpTest()
    {
        setUp();
    }

    @Test(dataProvider = "sendData" , priority = 1)
    public void loginTest(String Username, String Password)
    {
        obj.get("https://rahulshettyacademy.com/locatorspractice/");

        // create object of page classes for use;
        LoginPage login = new LoginPage(obj);


        //-------------> now write test.
        login.enterUsername(Username);
        login.enterPassword(Password);
        login.clickSignButton();


      //  --------------> Add Assertion.
        Assert.assertEquals(Password,"rahulshettyacademy");

    }

    @Test (priority = 2)
    public void validateLogin()
    {
        HomePage home = new HomePage(obj);
        LoginPage lg = new LoginPage(obj);

        obj.get("https://rahulshettyacademy.com/locatorspractice/");


        lg.enterUsername("maaz");
        lg.enterPassword("rahulshettyacademy");
        lg.clickSignButton();

        String validate=home.getText();


        Assert.assertEquals(validate,"Hello");
    }




    @DataProvider
    public Object[][] sendData()
    {
        // Correct the index order for username and password in the array
        Object[][] data = new Object[3][2];

        data[0][0] = "Zain"; // username
        data[0][1] = "rahulshettyacademy"; // password

        data[1][0] = "yawar"; // username
        data[1][1] = "rahulshettyacademy"; // password

        data[2][0] = "Haseeb"; // username
        data[2][1] = "hi"; // password

        return data;
    }

    @AfterMethod
    public void tearDownTest()
    {
        tearDown();
    }
}
